#include <iocslib.h>
#include "defines.h"

void trns256_palset(unsint cols[256],int k)
/* trns256()用 ２５６色パレット設定 */
{
unint i;
	/* まず全てを黒にする */
	for (i=0;i<256;i++) GPALET(i,0);
	/* 使われてる色をその番号に合わせてセット */
	for (i=0;i<k  ;i++) GPALET(i,cols[i]);
}
